# Prevent the reboot of a host

If you need to permanently or temporarily prevent a specific host from being rebooted you can achieve that by creating a file `/etc/ansible/facts.d/reboot.fact` with the following content:

```json
{"paused": true}
```

If a scheduled reboot is being executed and the reboot is paused by this setting, then the reboot will be skipped.

To enable the scheduled reboot again, either remove that file or set the value to `false`.
